VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Properties
vmware::vapi::std::errors::InvalidArgument Class Reference

The `InvalidArgument` error indicates that the values received for one or more parameters are not acceptable. More...

Inherits vmware::vapi::std::errors::Error.

List of all members.

## Public Member Functions
| InvalidArgument (global::System.Collections.Generic.List< vmware.vapi.std.LocalizableMessage > messages, vmware.vapi.bindings.IStructure data)
| Creates a new instance of this type using the given arguments.
| InvalidArgument ()
| Creates a default new instance.
override vmware.vapi.bindings.type.StructType | _GetType ()
override vmware.vapi.data.StructValue | _GetDataValue ()
override void | _Validate ()
override bool | _HasTypeNameOf< T > ()
override T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
## Properties
override string | Message`[get]`

## Detailed Description

The `InvalidArgument` error indicates that the values received for one or more parameters are not acceptable.

This error is reported by the API infrastructure, so it could occur in response to the invocation of any method. It may also be reported as the result of method-specific validation.

Examples:

- A parameter has a value that is not of the expected type.
- A parameter has a value that is not in the required range.
- A parameter has a value that is not one of the specifically allowed strings.
- One field of a class is the tag for a tagged union, and has a specific value but another field of the class that is required to be specified when the tag has that value is not specified, or another field of the class that is required to be unspecified when the tag has that value is specified.

Counterexamples:

- Trying to create a new tag in tag category when a tag with the specified name already exists the tag category. The AlreadyExists error would be used instead.
- Invoke the method to retrieve information about a virtual machine, passing an id that does not identify an existing virtual machine. The NotFound error would be used instead.
- Attempt to put a virtual machine into a folder that can only contain hosts. The InvalidElementType error would be used instead.
- Attempt to attach a SCSI virtual disk to an IDE port. The InvalidElementType error would be used instead.

## Constructor & Destructor Documentation

vmware::vapi::std::errors::InvalidArgument::InvalidArgument | ( | global::System.Collections.Generic.List< vmware.vapi.std.LocalizableMessage > | messages,
|  | vmware.vapi.bindings.IStructure | data
| ) |  | `[inline]`

Creates a new instance of this type using the given arguments.

vmware::vapi::std::errors::InvalidArgument::InvalidArgument | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

override T vmware::vapi::std::errors::InvalidArgument::_ConvertTo< T > | ( |  | ) | `[inline]`

Reimplemented from vmware::vapi::std::errors::Error.

override vmware.vapi.data.StructValue vmware::vapi::std::errors::InvalidArgument::_GetDataValue | ( |  | ) | `[inline]`

Reimplemented from vmware::vapi::std::errors::Error.

override vmware.vapi.bindings.type.StructType vmware::vapi::std::errors::InvalidArgument::_GetType | ( |  | ) | `[inline, virtual]`

Reimplemented from vmware::vapi::std::errors::Error.

override bool vmware::vapi::std::errors::InvalidArgument::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Reimplemented from vmware::vapi::std::errors::Error.

override void vmware::vapi::std::errors::InvalidArgument::_Validate | ( |  | ) | `[inline, virtual]`

Reimplemented from vmware::vapi::std::errors::Error.

override bool vmware::vapi::std::errors::InvalidArgument::Equals | ( | object | obj | ) | `[inline]`

Reimplemented from vmware::vapi::std::errors::Error.

override int vmware::vapi::std::errors::InvalidArgument::GetHashCode | ( |  | ) | `[inline]`

Reimplemented from vmware::vapi::std::errors::Error.

## Property Documentation

override string vmware::vapi::std::errors::InvalidArgument::Message`[get]`

Reimplemented from vmware::vapi::std::errors::Error.

The documentation for this class was generated from the following file:

- InvalidArgument.cs